﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CORHDR4]') AND name = N'key1')
BEGIN 
PRINT 'Creating index key1 on table CORHDR4'
CREATE UNIQUE NONCLUSTERED INDEX [key1] ON [dbo].[CORHDR4] 
(
	[DATE1] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CORHDR4]') AND name = N'key2')
BEGIN 
PRINT 'Creating index key2 on table CORHDR4'
CREATE UNIQUE NONCLUSTERED INDEX [key2] ON [dbo].[CORHDR4] 
(
	[DELD] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CORHDR4]') AND name = N'key3')
BEGIN 
PRINT 'Creating index key3 on table CORHDR4'
CREATE UNIQUE NONCLUSTERED INDEX [key3] ON [dbo].[CORHDR4] 
(
	[NAME] ASC,
	[CUST] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CORHDR4]') AND name = N'key4')
BEGIN 
PRINT 'Creating index key4 on table CORHDR4'
CREATE UNIQUE NONCLUSTERED INDEX [key4] ON [dbo].[CORHDR4] 
(
	[DDAT] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CORHDR4]') AND name = N'key5')
BEGIN 
PRINT 'Creating index key5 on table CORHDR4'
CREATE UNIQUE NONCLUSTERED INDEX [key5] ON [dbo].[CORHDR4] 
(
	[OEID] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR4' AND COLUMN_NAME = 'DeliveryStatus' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR4_DeliveryStatus')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR4_DeliveryStatus on table CORHDR4' 
    ALTER TABLE [dbo].[CORHDR4]
    ADD CONSTRAINT [DF_CORHDR4_DeliveryStatus] DEFAULT ((0)) FOR [DeliveryStatus]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR4' AND COLUMN_NAME = 'RefundStatus' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR4_RefundStatus')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR4_RefundStatus on table CORHDR4' 
    ALTER TABLE [dbo].[CORHDR4]
    ADD CONSTRAINT [DF_CORHDR4_RefundStatus] DEFAULT ((0)) FOR [RefundStatus]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR4' AND COLUMN_NAME = 'SellingStoreId' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR4_SellingStoreId')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR4_SellingStoreId on table CORHDR4' 
    ALTER TABLE [dbo].[CORHDR4]
    ADD CONSTRAINT [DF_CORHDR4_SellingStoreId] DEFAULT ((0)) FOR [SellingStoreId]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR4' AND COLUMN_NAME = 'SellingStoreOrderId' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR4_SellingStoreOrderId')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR4_SellingStoreOrderId on table CORHDR4' 
    ALTER TABLE [dbo].[CORHDR4]
    ADD CONSTRAINT [DF_CORHDR4_SellingStoreOrderId] DEFAULT ((0)) FOR [SellingStoreOrderId]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR4' AND COLUMN_NAME = 'OMOrderNumber' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR4_OMOrderNumber')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR4_OMOrderNumber on table CORHDR4' 
    ALTER TABLE [dbo].[CORHDR4]
    ADD CONSTRAINT [DF_CORHDR4_OMOrderNumber] DEFAULT ((0)) FOR [OMOrderNumber]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CORHDR4' AND COLUMN_NAME = 'IsSuspended' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CORHDR4_IsSuspended')
BEGIN 
    PRINT 'Creating default constraint DF_CORHDR4_IsSuspended on table CORHDR4' 
    ALTER TABLE [dbo].[CORHDR4]
    ADD CONSTRAINT [DF_CORHDR4_IsSuspended] DEFAULT ((0)) FOR [IsSuspended]
END 
GO

